Package org.apache.sling.installer.api.info

# Interface InstallationState

@ProviderType public interface InstallationState
The state of the OSGi installer at a given time.

Since:
  1.0

## Method Summary

Modifier and Type
Method
Description
`List<ResourceGroup>`
`getActiveResources()`
Active resource groups These resource groups are currently in processing.
`List<ResourceGroup>`
`getInstalledResources()`
Installed resource groups These resources groups are processed.
`List<RegisteredResource>`
`getUntransformedResources()`
Return all untransformed resources

## Method Details

### getActiveResources

List<ResourceGroup> getActiveResources()
Active resource groups These resource groups are currently in processing. The first resource of each group is being processing.

Returns:
  All active resource groups

### getInstalledResources

List<ResourceGroup> getInstalledResources()
Installed resource groups These resources groups are processed.

Returns:
  All installed resource groups

### getUntransformedResources

List<RegisteredResource> getUntransformedResources()
Return all untransformed resources

Returns:
  All untransformed resources.